// creator  : weidu.exe (version 23100)
// argument : HPRELATE.DLG
// game		 : .
// source	 : ./override/HPRELATE.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HPRELATE~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~Global("StartTrial","GLOBAL",2)
InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)~ THEN BEGIN 0 // from:
  SAY #8139 /* ~Anomen Delryn, son of Cor and Moirala, do you stand before me pledged to the service of justice? Do you stand before me pledged to the service of righteousness?~ [PRELAX01] */
  IF ~~ THEN DO ~SetGlobal("StartTrial","GLOBAL",3)~ EXTERN ~ANOMENJ~ 92
END

IF ~~ THEN BEGIN 1 // from:
  SAY #8142 /* ~Anomen Delryn, do you stand before me seeking a knighthood of the Order?~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 93
END

IF ~~ THEN BEGIN 2 // from:
  SAY #8144 /* ~Do you stand before me prepared to accept the Judgement of Torm? Are your actions and those you travel with laid bare? Shall I judge you as I have been judged?~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 94
END

IF ~~ THEN BEGIN 3 // from:
  SAY #8146 /* ~May the spirit of Torm enter this chamber! May my Judgement be unclouded. Welcome to this place, Anomen. Is there aught that you would say before we begin?~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 95
END

IF ~~ THEN BEGIN 4 // from:
  SAY #8148 /* ~So shall it be. The Judgement is clear.  Anomen Delryn, you have proven yourself worthy.  I dub thee Sir Anomen. Knight of the Order, arise and give your oath.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 96
END

IF ~~ THEN BEGIN 5 // from:
  SAY #8151 /* ~Go then, Sir Anomen, and serve the cause. You shall serve beneath the Paladin Ryan Trawl, a righteous man. May Torm bless thee.~ */
  IF ~~ THEN DO ~SetGlobal("AnomenIsKnight","GLOBAL",1)~ EXTERN ~ANOMENJ~ 97
END

IF ~~ THEN BEGIN 6 // from:
  SAY #8166 /* ~The judgement is clear.  You occasionally choose the righteous path, but have not satisfied our requirements. You are cast from this Order.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 98
END

IF ~~ THEN BEGIN 7 // from:
  SAY #8171 /* ~You have slain a man in revenge. By killing Saerk you have committed an unforgivable sin. Consider yourself lucky to be able to leave with your life.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 99
END

IF ~~ THEN BEGIN 8 // from:
  SAY #8172 /* ~A man called Garren lost a child to kidnappers. You and your party did nothing to save this child. This is an unforgiveable sin. Leave now and never return.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 99
END

IF ~~ THEN BEGIN 9 // from:
  SAY #8173 /* ~Anomen, do not be a fool. You and your party may as well be of brigands with your reputation.  You are not worthy of trust and or knighthood. You may leave.~ */
  IF ~~ THEN EXTERN ~ANOMENJ~ 99
END

IF ~~ THEN BEGIN 10 // from:
  SAY #8180 /* ~As I said, you may leave now, Anomen.~ */
  IF ~~ THEN EXTERN ~KAYL2~ 2
END

IF WEIGHT #7 /* Triggers after states #: 13 21 22 23 31 64 even though they appear after this state */
~ReputationGT(LastTalkedToBy,9)
OR(2)
Dead("c6bodhi")
!Global("Chapter","GLOBAL",6)~ THEN BEGIN 11 // from:
  SAY #28044 /* ~Welcome to the Most Noble Order of the Radiant Heart, young <MANWOMAN>.  I am Prelate Wessalen.  Walk always on the path of justice, honor, and duty.~ */
  IF ~~ THEN GOTO 24
END

IF WEIGHT #8 /* Triggers after states #: 13 21 22 23 31 64 even though they appear after this state */
~ReputationLT(LastTalkedToBy,10)
OR(2)
Dead("c6bodhi")
!Global("Chapter","GLOBAL",6)~ THEN BEGIN 12 // from:
  SAY #28050 /* ~How dare you enter this place, viper! I suggest that you leave.~ */
  IF ~~ THEN GOTO 24
END

IF WEIGHT #1 ~InPartySlot(LastTalkedToBy,0)
Class(Player1,PALADIN_ALL)
Global("PlayerHasStronghold","GLOBAL",0)
Global("HelpedGarren","GLOBAL",1)
Global("PaladinOrder","GLOBAL",0)~ THEN BEGIN 13 // from:
  SAY #36746 /* ~I have heard much of your deeds, <CHARNAME>. You have done well as a paladin without a patron. Garren speaks well of you, and he had a recommendation.~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #36749 /* ~His wished you to be recognized for your heroics.   You truly exemplify the paladin spirit, and I would have you demonstrate it further.~ */
  IF ~~ THEN REPLY #36756 /* ~It would be an honor to serve in any way that I can.~ */ GOTO 15
  IF ~~ THEN REPLY #36757 /* ~I follow the path that I must. There is no other for a paladin.~ */ GOTO 15
  IF ~~ THEN REPLY #36758 /* ~I do not demonstrate. I simply do.~ */ GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.2 14.1 14.0
  SAY #36759 /* ~Then you shall continue under the guidance of the Most Noble Order of the Radiant Heart. You could ask for no better a patron.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #36760 /* ~Go, I bid you speak with William Reirrac. He shall be our liaison. The tasks you are given shall be for the causes of justice. Give them the attention they merit.~ */
  IF ~~ THEN REPLY #36761 /* ~Then I set my life in your hands. Direct it as you see fit, my liege.~ */ GOTO 17
  IF ~~ THEN REPLY #36762 /* ~I will follow as I must, as long as the cause is just.~ */ GOTO 18
  IF ~~ THEN REPLY #36763 /* ~I cannot accept this honor at this time. I have personal matters to attend to.~ */ GOTO 19
END

IF ~~ THEN BEGIN 17 // from: 19.0 16.0
  SAY #36764 /* ~Your life is still yours, do not neglect your own quests and crusades.  But treat your assignments with the utmost urgency. Go speak to William Reirrac.~ */
  IF ~~ THEN DO ~SetGlobal("PlayerHasStronghold","GLOBAL",1)
SetGlobal("PaladinOrder","GLOBAL",1)
CreateCreature("demson",[1194.1129],13)~ EXIT
END

IF ~~ THEN BEGIN 18 // from: 16.1
  SAY #36765 /* ~The cause shall be just if you perform as you should. Do not neglect your own quests, but treat your assignments with urgency. Go to William Reirrac now.~ */
  IF ~~ THEN DO ~SetGlobal("PaladinOrder","GLOBAL",1)
SetGlobal("PlayerHasStronghold","GLOBAL",1)
CreateCreature("demson",[1194.1129],13)~ EXIT
END

IF ~~ THEN BEGIN 19 // from: 16.2
  SAY #36766 /* ~I am not asking you to forever forgo your own agenda, just set it aside for a short time.  This offer will not be made again. Decide well and forever.~ */
  IF ~~ THEN REPLY #36767 /* ~I accept this honor and all the responsibility that goes with it. Direct me.~ */ GOTO 17
  IF ~~ THEN REPLY #36768 /* ~I regret that I cannot accept this honor. Perhaps in another time...~ */ GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.1
  SAY #36769 /* ~There is no other time. I wish you well as a homeless paladin, for they make up the meat of our war against evil.  You have our blessing, but not our support.~ */
  IF ~~ THEN DO ~SetGlobal("PaladinOrder","GLOBAL",2)
~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 64 even though they appear after this state */
~Global("PaladinOrder","GLOBAL",1)
OR(2)
Dead("c6bodhi")
!Global("Chapter","GLOBAL",6)~ THEN BEGIN 21 // from:
  SAY #36770 /* ~I look forward to the reports of your achievements. I'm sure you will not betray our faith in your ability.~ */
  IF ~~ THEN GOTO 24
END

IF WEIGHT #4 /* Triggers after states #: 64 even though they appear after this state */
~Global("PaladinOrder","GLOBAL",2)
OR(2)
Dead("c6bodhi")
!Global("Chapter","GLOBAL",6)~ THEN BEGIN 22 // from:
  SAY #36778 /* ~It is a great shame that you did not wish to join the Order. You would have been a great asset, though I am sure you still serve the cause of righteousness.~ */
  IF ~~ THEN GOTO 24
END

IF WEIGHT #5 /* Triggers after states #: 64 even though they appear after this state */
~Global("PaladinOrder","GLOBAL",3)
OR(2)
Dead("c6bodhi")
!Global("Chapter","GLOBAL",6)~ THEN BEGIN 23 // from:
  SAY #36779 /* ~You have disgraced the Order and all that it stands for. Find your way as you will, but you will get no help from here.~ */
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 24 // from: 23.0 22.0 21.0 12.0 11.0
  SAY #42232 /* ~If there is nothing else, I bid you farewell.~ */
  IF ~~ THEN REPLY #42233 /* ~There is nothing. Thank you for your time.~ */ GOTO 25
  IF ~Global("Solamnicbuttplug","GLOBAL",0)
Global("SolamnicPrelate","GLOBAL",0)
Global("PCSphere","GLOBAL",1)
~ THEN REPLY #42234 /* ~I seek a home for a group of Solamnic Knights. They are trapped in this plane.~ */ GOTO 26
  IF ~Global("SolamnicPrelate","GLOBAL",2)~ THEN REPLY #42241 /* ~What has become of the Solamnic Knights?~ */ GOTO 29
END

IF ~~ THEN BEGIN 25 // from: 28.1 28.0 24.0
  SAY #42235 /* ~Good day.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 26 // from: 24.1
  SAY #42236 /* ~Solamnic Knights? We have heard of such a group through the visions of Helm and Torm.~ */
  IF ~~ THEN GOTO 27
END

IF ~~ THEN BEGIN 27 // from: 26.0
  SAY #42237 /* ~I regret that I do not know how they could be sent home, but if what you say is true they would be honored guests here.~ */
  IF ~~ THEN GOTO 28
END

IF ~~ THEN BEGIN 28 // from: 27.0
  SAY #42238 /* ~Have them come and I shall give them lodgings. There is always evil to strive against, even if they are not in their home plane. They can do their work here.~ */
  IF ~~ THEN REPLY #42239 /* ~Good. That will get them out of my way.~ */ DO ~SetGlobal("SolamnicPrelate","GLOBAL",1)~ UNSOLVED_JOURNAL #55642 /* ~Mage Stronghold: The Knights at the Order.

I have spoken with the Prelate of the Most Noble Order of the Radiant Heart. He has said that the Solamnic Knights can stay as with them as honored guests. It's a viable alternative if they can't get home another way.~ */ GOTO 25
  IF ~~ THEN REPLY #42240 /* ~I thank you, though they would rather go home.~ */ DO ~SetGlobal("SolamnicPrelate","GLOBAL",1)~ UNSOLVED_JOURNAL #55642 /* ~Mage Stronghold: The Knights at the Order.

I have spoken with the Prelate of the Most Noble Order of the Radiant Heart. He has said that the Solamnic Knights can stay as with them as honored guests. It's a viable alternative if they can't get home another way.~ */ GOTO 25
END

IF ~~ THEN BEGIN 29 // from: 24.2
  SAY #42242 /* ~They have settled here. I am certain they miss their proper plane, as any of us would, but they can do much good wherever they are.~ */
  IF ~~ THEN GOTO 30
END

IF ~~ THEN BEGIN 30 // from: 29.0
  SAY #42243 /* ~You did good sending them to me. They will have productive lives, and leave a fine legacy. I am sure they thank you. Good day.~ */
  IF ~~ THEN DO ~SetGlobal("SolamnicPrelate","GLOBAL",3)~ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 64 even though they appear after this state */
~Global("Chapter","GLOBAL",6)
!Dead("c6bodhi")
!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 31 // from:
  SAY #53007 /* ~Greetings, <GABBER>.  Perhaps if <CHARNAME> is with you, I might speak to <PRO_HIMHER>... <PRO_HESHE> is the spokes<PRO_MANWOMAN> of your group, is <PRO_HESHE> not?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #9 /* Triggers after states #: 64 even though they appear after this state */
~Global("Chapter","GLOBAL",6)
InPartySlot(LastTalkedToBy,0)
Global("PaladinOrder","GLOBAL",1)
Global("OrderFightBodhi","GLOBAL",0)
!Dead("c6bodhi")~ THEN BEGIN 32 // from:
  SAY #53008 /* ~<CHARNAME>... I am pleased to welcome a member of the Order back amongst us.  You seem well.  Have you business with me?~ */
  IF ~Global("WorkingForBodhi","GLOBAL",0)~ THEN REPLY #53011 /* ~I do.  I must do battle with a powerful coven of vampires in this city and I ask for the Order's assistance.~ */ GOTO 35
  IF ~Global("WorkingForBodhi","GLOBAL",1)~ THEN REPLY #53016 /* ~I do.  I must do battle with a powerful coven of vampires in this city and I ask for the Order's assistance.~ */ GOTO 36
  IF ~~ THEN REPLY #53014 /* ~Perhaps not.  Another time, Prelate.~ */ GOTO 37
END

IF WEIGHT #10 /* Triggers after states #: 64 even though they appear after this state */
~Global("Chapter","GLOBAL",6)
InPartySlot(LastTalkedToBy,0)
!Global("PaladinOrder","GLOBAL",1)
ReputationGT(LastTalkedToBy,9)
Global("OrderFightBodhi","GLOBAL",0)
!Dead("c6bodhi")~ THEN BEGIN 33 // from:
  SAY #53009 /* ~Ah, <CHARNAME>... I greet you on behalf of the Most Noble Order of the Radiant Heart.  Be welcome here in our Hall.  Do you have business with the Order?~ */
  IF ~Global("WorkingForBodhi","GLOBAL",0)~ THEN REPLY #53015 /* ~I do.  I intend to do battle with a powerful coven of vampires here in the city and I wish to request the Order's aid.~ */ GOTO 35
  IF ~Global("WorkingForBodhi","GLOBAL",1)~ THEN REPLY #53017 /* ~I do.  I intend to do battle with a powerful coven of vampires here in the city and I wish to request the Order's aid.~ */ GOTO 36
  IF ~~ THEN REPLY #53020 /* ~Perhaps not.  Another time, Prelate.~ */ GOTO 37
END

IF WEIGHT #11 /* Triggers after states #: 64 even though they appear after this state */
~Global("Chapter","GLOBAL",6)
InPartySlot(LastTalkedToBy,0)
!Global("PaladinOrder","GLOBAL",1)
ReputationLT(LastTalkedToBy,10)
Global("OrderFightBodhi","GLOBAL",0)
!Dead("c6bodhi")~ THEN BEGIN 34 // from:
  SAY #53010 /* ~<CHARNAME>.  I greet a slithering viper with the promise of justice by my blade.  Give me one good reason that you should not be cut down where you stand!~ */
  IF ~Global("WorkingForBodhi","GLOBAL",0)
CheckStatGT(Player1,14,CHR)~ THEN REPLY #53021 /* ~Because I have an enemy that is yours, as well.  I intend to battle a coven of powerful vampires here in the city... and I am here to ask for your assistance.~ */ GOTO 38
  IF ~Global("WorkingForBodhi","GLOBAL",1)
CheckStatGT(Player1,14,CHR)~ THEN REPLY #53022 /* ~Because I have an enemy that is yours, as well.  I intend to battle a coven of powerful vampires here in the city... and I am here to ask for your assistance.~ */ GOTO 39
  IF ~Global("WorkingForBodhi","GLOBAL",0)
CheckStatLT(Player1,15,CHR)~ THEN REPLY #53023 /* ~Because my enemy is a powerful vampire here in Athkatla, and I offer you the privilege of joining me when I destroy her.~ */ GOTO 40
  IF ~Global("WorkingForBodhi","GLOBAL",1)
CheckStatLT(Player1,15,CHR)~ THEN REPLY #53024 /* ~Because my enemy is a powerful vampire here in Athkatla, and I offer you the privilege of joining me when I destroy her.~ */ GOTO 43
  IF ~~ THEN REPLY #53025 /* ~Do not threaten me, old man.  You'll find it dangerous for your health.~ */ GOTO 41
  IF ~~ THEN REPLY #53026 /* ~Because I am leaving.  You can keep your self-righteousness and stick it, old man.~ */ GOTO 42
END

IF ~~ THEN BEGIN 35 // from: 33.0 32.0
  SAY #53027 /* ~I have heard of this vampire.  Her name is Bodhi... but did you not destroy her and her guild at the beckoning of the Shadow Thieves?~ */
  IF ~Global("PaladinOrder","GLOBAL",1)~ THEN REPLY #53028 /* ~I destroyed her guild because I needed the aid of the Shadow Thieves, but I could not destroy her.  She has returned to Athkatla and has regained her strength.~ */ GOTO 44
  IF ~!Global("PaladinOrder","GLOBAL",1)~ THEN REPLY #53030 /* ~I destroyed her guild because I needed the aid of the Shadow Thieves, but I could not destroy her.  She has returned to Athkatla and has regained her strength.~ */ GOTO 48
END

IF ~~ THEN BEGIN 36 // from: 33.1 32.1
  SAY #53031 /* ~I have heard of this vampire, her name is Bodhi...  you were working with her and her guild when you destroyed the Shadow Thieves.  Why did you do this?~ */
  IF ~Global("PaladinOrder","GLOBAL",1)~ THEN REPLY #53032 /* ~I thought I needed her aid, and that the Shadow Thieves were worse.  But now I know she is part of a terrible plot, and I cannot defeat her alone.~ */ GOTO 44
  IF ~!Global("PaladinOrder","GLOBAL",1)~ THEN REPLY #53033 /* ~I thought I needed her aid, and that the Shadow Thieves were worse.  But now I know she is part of a terrible plot, and I cannot defeat her alone.~ */ GOTO 48
  IF ~Global("PaladinOrder","GLOBAL",1)~ THEN REPLY #53034 /* ~I didn't know the full extent of her nature, then, and I had little choice.  Now I do, and I intend to destroy her... but I need your help.~ */ GOTO 47
  IF ~!Global("PaladinOrder","GLOBAL",1)~ THEN REPLY #53035 /* ~I didn't know the full extent of her nature, then, and I had little choice.  Now I do, and I intend to destroy her... but I need your help.~ */ GOTO 49
  IF ~!Global("PaladinOrder","GLOBAL",1)~ THEN REPLY #53036 /* ~My reasons are my own.  The fact remains that she is evil and powerful and I cannot defeat her alone.  Will you aid me or not?~ */ GOTO 49
  IF ~!Global("PaladinOrder","GLOBAL",1)~ THEN REPLY #53037 /* ~I will not answer any of your questions, old man.  Either you want to help destroy her or you don't, decide and be done with it.~ */ GOTO 50
END

IF ~~ THEN BEGIN 37 // from: 33.2 32.2
  SAY #53038 /* ~As you desire, <CHARNAME>.  Should that change, the Order shall be here to assist you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 38 // from: 59.0 34.0
  SAY #53039 /* ~Hmm.  We know of this vampire, as well as the guild she once led. You destroyed them,  we thought... at the beckoning of the despicable Shadow Thieves!~ */
  IF ~~ THEN REPLY #53045 /* ~I destroyed her guild, but not her.  And now she has regained her strength and returned... and she is too powerful for me to defeat alone.~ */ GOTO 48
  IF ~~ THEN REPLY #53046 /* ~I'll not explain myself to you.  The fact is, I did not destroy her and I cannot without your aid.~ */ GOTO 50
END

IF ~~ THEN BEGIN 39 // from: 59.1 34.1
  SAY #53040 /* ~Hmm.  We know this vampire... Bodhi.  Are you not her servant?  Did you not slaughter the Shadow Thieves at her bidding?  Why should we trust you?~ */
  IF ~~ THEN REPLY #53047 /* ~I was not aware of her full nature, and I had little choice.  Now I do and she is my enemy... but she is too powerful for me to defeat alone.~ */ GOTO 49
  IF ~~ THEN REPLY #53048 /* ~The Shadow Thieves deserved to die... and I have since discovered that she, too, is my enemy.  I intend to destroy her, but I need your help to succeed.~ */ GOTO 50
  IF ~~ THEN REPLY #53049 /* ~I'll not explain myself to you.  I intend to attack her... you can trust me or not, as it suits you, I only need your aid.~ */ GOTO 52
END

IF ~~ THEN BEGIN 40 // from: 59.2 34.2
  SAY #53041 /* ~Bah!  We know this vampire.  Our sources say you defeated her and her guild for the Shadow Thieves.  Why lie to us now?  What are you up to, <CHARNAME>?~ */
  IF ~~ THEN REPLY #53050 /* ~I am not lying.  I destroyed her guild, but not her, and now she has recovered and returned with a more powerful force.  I cannot defeat her alone.~ */ GOTO 56
  IF ~~ THEN REPLY #53051 /* ~I'll not explain myself to you.  The fact is, I did not destroy her and I cannot without your aid.~ */ GOTO 56
  IF ~~ THEN REPLY #53052 /* ~I am up to nothing.  Accuse me again of being a liar and you'll regret it, old man.~ */ GOTO 57
END

IF ~~ THEN BEGIN 41 // from: 56.3 34.4
  SAY #53042 /* ~I shall stand against evil as I see fit, and you will mind your tongue in a place of justice.  Now begone or discover why the Order is feared by such as you.~ */
  IF ~~ THEN REPLY #53053 /* ~How about you discover why self-righteous pigs like you fear one such as I?!  Have at you!~ */ GOTO 58
  IF ~!Alignment(Player1,MASK_EVIL)~ THEN REPLY #53054 /* ~Despite our differences, I came with a purpose and I intend to see it through.  I need your help... and you'll give it, regardless of what you think of me.~ */ GOTO 59
  IF ~Alignment(Player1,MASK_EVIL)~ THEN REPLY #53055 /* ~Despite our differences, I came with a purpose and I intend to see it through.  I need your help... and you'll give it, regardless of what you think of me.~ */ GOTO 60
  IF ~~ THEN REPLY #53056 /* ~Fine.  I'll go.~ */ GOTO 42
END

IF ~~ THEN BEGIN 42 // from: 56.2 41.3 34.5
  SAY #53043 /* ~Then go and do not return until you have mended your ways... for the only alternative is eventual judgement at our hands.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 43 // from: 59.3 34.3
  SAY #53044 /* ~Bah!  We know this vampire.  We know, as well, that you slaughtered the Shadow Thieves at her beckoning.   We cannot trust you!~ */
  IF ~!Alignment(Player1,MASK_EVIL)~ THEN REPLY #53057 /* ~I was not aware of her full nature then, and I had little choice.  Now I do and she is my enemy... but she is too powerful for me to defeat alone.~ */ GOTO 52
  IF ~Alignment(Player1,MASK_EVIL)~ THEN REPLY #53108 /* ~I was not aware of her full nature then, and I had little choice.  Now I do and she is my enemy... but she is too powerful for me to defeat alone.~ */ GOTO 60
  IF ~~ THEN REPLY #53058 /* ~Believe what you will.  The fact remains that she is my enemy and yours, as well.  I intend to attack her, and I cannot do it alone.~ */ GOTO 61
END

IF ~~ THEN BEGIN 44 // from: 36.0 35.0
  SAY #53059 /* ~Then we shall aid you in your battle against her and whatever demons she may bring, <CHARNAME>.  The Order shall strike down evil wherever it lies.~ */
  IF ~~ THEN GOTO 45
END

IF ~~ THEN BEGIN 45 // from: 54.0 51.0 49.0 48.0 47.0 44.0
  SAY #53060 /* ~When you go to the graveyard to face this creature, I shall send a group led by Sir William Reirrac to fight by your side.  They will meet you in the catacombs.~ */
  IF ~~ THEN GOTO 46
END

IF ~~ THEN BEGIN 46 // from: 45.0
  SAY #53061 /* ~In Torm's name, I pray that this is enough to defeat this evil once and for all.  Go with my blessing, <CHARNAME>... I have preparations that must be made.~ */
  IF ~~ THEN DO ~SetGlobal("OrderFightBodhi","GLOBAL",1)~ UNSOLVED_JOURNAL #7236 /* ~Allies recruited for the struggle against Bodhi.

Prelate Wessalen of the Most Noble Order of the Radiant Heart has agreed to aid me against Bodhi.  A group led by Sir William Reirrac will meet me beneath the Graveyard District when I am ready to strike at the vampire.~ */ EXIT
END

IF ~~ THEN BEGIN 47 // from: 36.2
  SAY #53062 /* ~I question your judgement in this matter... but now is not the time.  We will not let you down, <CHARNAME>... the Order stands against all evil.~ */
  IF ~~ THEN GOTO 45
END

IF ~~ THEN BEGIN 48 // from: 38.0 36.1 35.1
  SAY #53063 /* ~Then she and her brood must be stopped, without question.  Very well, <CHARNAME>, the Order shall fight alongside you against this evil.~ */
  IF ~~ THEN GOTO 45
END

IF ~~ THEN BEGIN 49 // from: 39.0 36.4 36.3
  SAY #53065 /* ~Then we shall aid you, <CHARNAME>.  But if you are lying, the Order will exact a terrible vengeance for your complicity with such a creature.~ */
  IF ~~ THEN GOTO 45
END

IF ~~ THEN BEGIN 50 // from: 39.1 38.1 36.5
  SAY #53066 /* ~I dislike your tone, <CHARNAME>.  The Order is not beholden to you. We have worked towards dealing with these vampires on our own.~ */
  IF ~~ THEN GOTO 51
END

IF ~~ THEN BEGIN 51 // from: 50.0
  SAY #53067 /* ~But we stand a better chance fighting with you... and so we shall.  The slightest hint of treachery, however, and you will suffer our vengeance, <CHARNAME>.~ */
  IF ~~ THEN GOTO 45
END

IF ~~ THEN BEGIN 52 // from: 56.1 56.0 43.0 39.2
  SAY #53068 /* ~The Order has sought to deal with these creatures, but our chances are greater fighting alongside you.  However, you are not to be trusted.~ */
  IF ~~ THEN GOTO 53
END

IF ~~ THEN BEGIN 53 // from: 52.0
  SAY #53069 /* ~I will have your word that you are striving to destroy this creature... and that my men will not be abandoned at your slightest whim.  Will you give it?~ */
  IF ~~ THEN REPLY #53071 /* ~Yes.  You have my word.~ */ GOTO 54
  IF ~~ THEN REPLY #53072 /* ~No.  I give my word on nothing.~ */ GOTO 55
  IF ~~ THEN REPLY #53073 /* ~Would it matter if I did?  We have a common enemy... care for your men yourself.~ */ GOTO 55
END

IF ~~ THEN BEGIN 54 // from: 53.0
  SAY #53074 /* ~Then the Order shall join you in this fight.  Beware, however... at the slightest sign of treachery you will suffer the Order's vengeance.~ */
  IF ~~ THEN GOTO 45
END

IF ~~ THEN BEGIN 55 // from: 53.2 53.1
  SAY #53076 /* ~Then you shall have nothing from us.  Face your battles on your own, as we shall... my men will not watch their front and their backs at the same time.  Go.~ */
  IF ~~ THEN DO ~SetGlobal("OrderFightBodhi","GLOBAL",2)~ UNSOLVED_JOURNAL #7683 /* ~Allies recruited for the struggle against Bodhi.

I asked Prelate Wessalen of the Most Noble Order of the Radiant Heart for assistance in the battle against Bodhi, but he has refused.  His decision is final.~ */ EXIT
END

IF ~~ THEN BEGIN 56 // from: 40.1 40.0
  SAY #53093 /* ~Then why do you not go to your allies in the Shadow Thieves for aid?  Why do you come to us, you who possess barely a modicum of honor?~ */
  IF ~Global("ShadowFightBodhi","GLOBAL",0)~ THEN REPLY #53094 /* ~I intend to go to the Shadow Thieves.  I need your help, as well.  Bodhi and her vampires are enemies of us all.~ */ GOTO 52
  IF ~GlobalGT("ShadowFightBodhi","GLOBAL",0)~ THEN REPLY #53095 /* ~I have gone to the Shadow Thieves.  I need your help, as well.  Bodhi and her vampires are enemies of us all.~ */ GOTO 52
  IF ~~ THEN REPLY #53096 /* ~Fine.  If you won't help me, then I'll go.~ */ GOTO 42
  IF ~~ THEN REPLY #53097 /* ~That's the sort of slight that could get an old man hurt.~ */ GOTO 41
END

IF ~~ THEN BEGIN 57 // from: 40.2
  SAY #53098 /* ~Lying would be amongst the most innocent of things you have done, <CHARNAME>.  Leave this Hall, for you shall receive no aid, here...~ */
  IF ~~ THEN DO ~SetGlobal("OrderFightBodhi","GLOBAL",2)~ UNSOLVED_JOURNAL #7683 /* ~Allies recruited for the struggle against Bodhi.

I asked Prelate Wessalen of the Most Noble Order of the Radiant Heart for assistance in the battle against Bodhi, but he has refused.  His decision is final.~ */ EXIT
END

IF ~~ THEN BEGIN 58 // from: 41.0
  SAY #53099 /* ~You dare?!  Knights of the Order, to me!!~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 59 // from: 41.1
  SAY #53100 /* ~Why would the Order assist you in anything?  You are barely better than a common criminal.~ */
  IF ~Global("WorkingForBodhi","GLOBAL",0)
CheckStatGT(Player1,14,CHR)~ THEN REPLY #53101 /* ~Because I have an enemy that is yours, as well.  I intend to battle a coven of powerful vampires here in the city... and I am here to ask for your assistance.~ */ GOTO 38
  IF ~Global("WorkingForBodhi","GLOBAL",1)
CheckStatGT(Player1,14,CHR)~ THEN REPLY #53102 /* ~Because I have an enemy that is yours, as well.  I intend to battle a coven of powerful vampires here in the city... and I am here to ask for your assistance.~ */ GOTO 39
  IF ~Global("WorkingForBodhi","GLOBAL",0)
CheckStatLT(Player1,15,CHR)~ THEN REPLY #53103 /* ~Because my enemy is a powerful vampire here in Athkatla, and I offer you the privilege of joining me when I destroy her.~ */ GOTO 40
  IF ~Global("WorkingForBodhi","GLOBAL",1)
CheckStatLT(Player1,15,CHR)~ THEN REPLY #53104 /* ~Because my enemy is a powerful vampire here in Athkatla, and I offer you the privilege of joining me when I destroy her.~ */ GOTO 43
END

IF ~~ THEN BEGIN 60 // from: 43.1 41.2
  SAY #53105 /* ~No.  You are evil, <CHARNAME>, and you shall receive no help from those who are righteous, regardless of your cause.  Leave this place.~ */
  IF ~~ THEN DO ~SetGlobal("OrderFightBodhi","GLOBAL",2)~ UNSOLVED_JOURNAL #7683 /* ~Allies recruited for the struggle against Bodhi.

I asked Prelate Wessalen of the Most Noble Order of the Radiant Heart for assistance in the battle against Bodhi, but he has refused.  His decision is final.~ */ EXIT
END

IF ~~ THEN BEGIN 61 // from: 43.2
  SAY #53106 /* ~I do not believe your intentions, <CHARNAME>.  The Order shall fight such evil, but not at your side.  Leave this place.~ */
  IF ~~ THEN DO ~SetGlobal("OrderFightBodhi","GLOBAL",2)~ UNSOLVED_JOURNAL #7683 /* ~Allies recruited for the struggle against Bodhi.

I asked Prelate Wessalen of the Most Noble Order of the Radiant Heart for assistance in the battle against Bodhi, but he has refused.  His decision is final.~ */ EXIT
END

IF WEIGHT #12 /* Triggers after states #: 64 even though they appear after this state */
~Global("Chapter","GLOBAL",6)
Global("OrderFightBodhi","GLOBAL",1)
!Dead("c6bodhi")~ THEN BEGIN 62 // from:
  SAY #53107 /* ~The Order will fight by your side against the vampires, <GABBER>.  Go to the graveyard and enter her crypt... the paladins shall join you there.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #13 /* Triggers after states #: 64 even though they appear after this state */
~Global("Chapter","GLOBAL",6)
Global("OrderFightBodhi","GLOBAL",2)~ THEN BEGIN 63 // from:
  SAY #53109 /* ~You have heard my judgement.  The Order will not aid you in your cause.  Leave us and find others to tell your lies to.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~Global("Chapter","GLOBAL",6)
Global("OrderFightBodhi","GLOBAL",1)
Dead("c6bodhi")~ THEN BEGIN 64 // from:
  SAY #53240 /* ~I understand your force and ours were victorious.  A blow has been struck against evil today... the valiant dead have to be mourned.  Well done, <CHARNAME>.~ */
  IF ~~ THEN EXIT
END
